#
# spec file for package mkdud
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Steffen Winterfeldt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mkdud
BuildRequires:  xz
Requires:       gpg2
Summary:        Create driver update from rpms
License:        GPL-3.0+
Group:          Hardware/Other
Version:        1.35
Release:        lp150.1.1
Source:         %{name}-%{version}.tar.xz
Url:            https://github.com/wfeldt/mkdud
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Create a driver update from rpms.

Authors:
--------
    Steffen Winterfeldt

%prep
%setup

%build

%install
  make install DESTDIR=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/mkdud
%doc README.md COPYING

%changelog
* Tue May  8 2018 wfeldt@opensuse.org
- merge gh#openSUSE/mkdud#15
- add links to related blog articles
- 1.35
* Thu Apr 26 2018 wfeldt@opensuse.org
- merge gh#openSUSE/mkdud#14
- fix Makefile and update git2log script
- 1.34
* Thu Apr 26 2018 wfeldt@opensuse.org
- merge gh#openSUSE/mkdud#13
- improve documentation
- 1.33
* Tue Apr 10 2018 wfeldt@opensuse.org
- merge gh#openSUSE/mkdud#12
- adjust mkdud to work around a problem when updating coreutils
  (bsc#1087901)
- 1.32
* Wed Mar 21 2018 wfeldt@opensuse.org
- merge gh#openSUSE/mkdud#11
- adjust CaaSP support (bsc#1085261)
- 1.31
* Mon May  8 2017 wfeldt@opensuse.org
- merge gh#openSUSE/mkdud#10
- support openSUSE Kubic
- fix service pack condition check
- 1.30
* Fri Jan 13 2017 snwint@suse.com
- merge pr gh#openSUSE/mkdud#9
- follow casp -> caasp renaming
- 1.29
* Wed Dec 14 2016 snwint@suse.com
- merge pr gh#openSUSE/mkdud#8
- use latest git2log script from linuxrc-devtools package
- support CASP and extend documentation for --dist option
- 1.28
* Wed Nov 30 2016 snwint@suse.com
- more readable variable names
- be more specific about dists that support DUDs as rpm
- squash dashes ('-') to match more dist name spellings
- support creating a dud in rpm format (bsc#1006175)
- adjust documentation to include rpm format
- accept driver updates packed as rpm
- 1.27
* Mon Nov 28 2016 snwint@suse.com
- even more more verbose message
- even more verbose error message
- allow to skip distribution check using --force (bsc#1012241)
- 1.26
* Fri Feb 12 2016 snwint@suse.com
- add support for leap and tumbleweed
- 1.25
* Thu Jan 21 2016 snwint@suse.com
- Remove warning on yast replacement for versions supporting it.
- 1.24
* Tue Jan 19 2016 snwint@suse.com
- better public key file detection
- 1.23
* Thu Jan 14 2016 snwint@suse.com
- added --obs-keys option to retrieve necessary obs project keys
- 1.22
* Wed Jan 13 2016 snwint@suse.com
- use mkpath instead of make_path to be compatible with older perl versions
- 1.21
* Wed Jan 13 2016 snwint@suse.com
- suppport adding public pgp keys for rpm verification
- 1.20
* Tue Sep 29 2015 snwint@suse.com
- Add information about openSUSE development
- Convert README to Markdown
- 1.19
* Thu Apr 30 2015 snwint@suse.com
- clarify iso usage in README
- support creating duds in iso9660 format
- 1.18
* Wed Mar  4 2015 snwint@suse.com
- adjust permissions of gpg dir
- 1.17
* Fri Feb 13 2015 snwint@suse.com
- added --prefix option to let users choose the directory prefix
- 1.16
* Wed Feb 11 2015 snwint@suse.com
- create and read directly (non-detached) signed updates
- 1.15
* Mon Feb  9 2015 snwint@suse.com
- support creating signed driver updates
- 1.14
* Mon Jan 26 2015 snwint@suse.com
- fix git2log script
- 1.13
* Mon Jan 26 2015 snwint@suse.com
- updated git2log script
- 1.12
* Mon Jan 26 2015 snwint@suse.com
- Fix typo
- 1.11
* Mon Oct 13 2014 jenkins@suse.com
- added 'archive' Makefile target
- updated git2log script
- 1.10
* Wed May 14 2014 snwint@suse.de
- adjust /sbin/yast check to work with latest yast packages
- 1.9
* Fri Apr 25 2014 snwint@suse.de
- add 'format' option to support different DUD formats
- update supported arch list
- 1.8
* Fri Jan 31 2014 snwint@suse.de
- fixed file magic usage
- 1.6
* Wed Jan  8 2014 snwint@suse.de
- support conditional DUDs
- 1.5
* Fri Nov 15 2013 snwint@suse.de
- support Ruby files
- better parsing of file locations in ycp/rb files
* Fri Sep  6 2013 snwint@suse.de
- prevent /usr/src/packages to be created
- new option --force replaces old --may-replace-yast
- add --no-docs option: remove package docs (map pages, info pages, /usr/share/doc)
- clarified dist names for service packs
- map dist specs like sles11-sp1 to sles11
* Tue Aug  6 2013 snwint@suse.de
- fix creating some minimalistic driver updates
* Thu Jul 11 2013 snwint@suse.de
- rename rpm2dud to mkdud
- complete code rewrite with lots of new cool functions
* Tue Mar 12 2013 snwint@suse.de
- support adding and running ordinary files
* Fri Sep  2 2011 snwint@suse.de
- initial version
